Package com.collibra.dgc.core.api.dto.navigation

# Class FindMostViewedAssetsRequest.Builder

Object
Builder

Enclosing class:
  `FindMostViewedAssetsRequest`

public static class FindMostViewedAssetsRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FindMostViewedAssetsRequest`
  `build()`
  `FindMostViewedAssetsRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `FindMostViewedAssetsRequest.Builder`
  `guestExcluded(boolean guestExcluded)`
  `FindMostViewedAssetsRequest.Builder`
  `isGuestExcluded(boolean isGuestExcluded)`
  Deprecated.
  This method will be removed from the next major release.
  `FindMostViewedAssetsRequest.Builder`
  `limit(int limit)`
  `FindMostViewedAssetsRequest.Builder`
  `offset(int offset)`
  `FindMostViewedAssetsRequest.Builder`
  `period(long period)`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### isGuestExcluded

    @Deprecated public FindMostViewedAssetsRequest.Builder isGuestExcluded(boolean isGuestExcluded)
    Deprecated.
    This method will be removed from the next major release. Please use `guestExcluded(boolean)`
    Sets if guest user visits should be excluded.
    Parameters:
      `isGuestExcluded` - boolean specifying whether or not to exclude guest visits

  - ### but

    @Deprecated public FindMostViewedAssetsRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `FindMostViewedAssetsRequest.builder()`
    Clone method for this Builder.

  - ### offset

    public FindMostViewedAssetsRequest.Builder offset(int offset)
    Returns:
      `this`.

  - ### limit

    public FindMostViewedAssetsRequest.Builder limit(int limit)
    Returns:
      `this`.

  - ### period

    public FindMostViewedAssetsRequest.Builder period(long period)
    Returns:
      `this`.

  - ### guestExcluded

    public FindMostViewedAssetsRequest.Builder guestExcluded(boolean guestExcluded)
    Returns:
      `this`.

  - ### build

    public FindMostViewedAssetsRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`